### Method

# Gtk FileDialog set_initial_name

since: 4.10

#### Declaration [src]

    void
    gtk_file_dialog_set_initial_name (
      GtkFileDialog* self,
      const char* name
    )

#### Description [src]

Sets the filename that will be initially selected.

For save dialogs, `name` will usually be pre-entered into the name field.

If a file with this name already exists in the directory set via `GtkFileDialog:initial-folder`, the dialog will preselect it.

Available since: 4.10

Sets property | `Gtk.FileDialog:initial-name`

#### Parameters

`name`

  Type: `const char*`

  A string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.